﻿@model LAP.Areas.Adviser.Models.BalanceSheetReportModel
@{
    Layout = null;
    var businessLogoImage = Model.BusinessLogoImage;
    var TotalIncome = Model.CurrentIncomes.Sum(m => m.Amount);
    var TotalIncomeAtRetirement = Model.FutureIncomes.Sum(m => m.Amount);
    var clientData = Model.ClientLoginData.ClientData;
    var spouseData = Model.ClientLoginData.SpouseData;
    bool isMarried = clientData.MaritalStatus == MaritalStatusEnum.Married && spouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    var clientContact = Model.ClientLoginData.ClientContactInfo;
    var adviserData = Model.ClientLoginData.UserLogin?.UserData;
    var adviser = Model.ClientLoginData.UserLogin;
    var adviserBusinessContact = adviser.AdviserContactInfos.FirstOrDefault(m => m.AddressType == AddressTypeEnum.Business);
    var phones = !string.IsNullOrEmpty(adviserBusinessContact?.Phone) && !string.IsNullOrEmpty(adviserBusinessContact?.CellNumber) ? $"{adviserBusinessContact?.Phone}, {adviserBusinessContact?.CellNumber}" : !string.IsNullOrEmpty(adviserBusinessContact?.Phone) ? adviserBusinessContact?.Phone : adviserBusinessContact?.CellNumber;
    var clientStateCityZip = $"{clientContact?.City}, {clientContact?.State} {clientContact?.ZipCode}";
    var tagline = adviserData.Tagline;
    var RIADisclosure = adviserData.RIADisclosure;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body style="font-family: 'Poppins', sans-serif !important;font-size:18px;">
    <div id="page-1">
        <div style="margin-bottom:30px;text-align:right;padding-left:50px;padding-right:50px;height:100px">
            @if (!string.IsNullOrEmpty(businessLogoImage))
            {
                <img src="@businessLogoImage" height="100" />
            }
        </div>
        <div style="position:relative" class="d-flex align-items-center justify-content-center">
            <img src="~/images/balancesheet-cover.jpg" width="1050" />
            <div id="cover-page-title">Balance Sheet Report</div>
        </div>
        <div style="padding-left:50px;padding-right:50px">
            <div style="width: 100%; display: table;font-size:20px;line-height:1.2;margin-top:30px;height:200px">
                <div style="display: table-row">
                    <div style="width: 450px; display: table-cell;">
                        <div style="font-weight:500">Prepared By:</div>
                        <div>@adviserData.BusinessName</div>
                        <div>@adviserData.Name</div>
                        <div>@Model.ClientLoginData.UserLogin.Username</div>
                        <div style="margin-top:10px">@adviserBusinessContact?.Address</div>
                        <div>@adviserBusinessContact?.Address2</div>
                        @if (!string.IsNullOrEmpty(adviserBusinessContact?.ZipCode))
                        {
                            var businessStateCityZip = $"{adviserBusinessContact?.City}, {adviserBusinessContact?.State} {adviserBusinessContact?.ZipCode}";
                            <div>@businessStateCityZip</div>
                        }
                        @if (!string.IsNullOrEmpty(phones))
                        {
                            <div>@phones</div>
                        }
                    </div>
                    <div style="display: table-cell;">
                        <div style="font-weight:500">Prepared For:</div>
                        <div>@clientData.Name</div>
                        @if (isMarried)
                        {
                            <div>@spouseData.Name</div>
                        }
                        <div style="margin-top:10px">@clientContact?.Address</div>
                        <div>@clientContact?.Address2</div>
                        @if (!string.IsNullOrEmpty(clientContact?.ZipCode))
                        {
                            <div>@clientStateCityZip</div>
                        }
                        <div>@clientContact?.Phone</div>
                        <div>@Model.ClientLoginData.Username</div>
                        @if (isMarried)
                        {
                            <div>@clientContact?.SpouseEmail</div>
                        }
                    </div>
                </div>
            </div>
            <div style="height:50px;margin-top:20px;font-weight:400;font-size:20px;" class="text-navi">
                @if (!string.IsNullOrEmpty(tagline))
                {
                    <i>@tagline</i>
                }
            </div>
            <div style="height:80px;margin-top:20px;">
                @if (!string.IsNullOrEmpty(RIADisclosure))
                {
                    <p class="disclosure">
                        @RIADisclosure
                    </p>
                }
            </div>
            <div class="d-flex footer">
                <div style="width:550px;border-right:solid 1px #000000;padding-right:20px;">
                    <p class="text">
                        This ExplicitVue™ Balance Sheet report is compiled from information you have furnished in the LifeArcPlan™ survey. We make no representations or warranties as to the accuracy, timeliness, suitability, completeness, or relevance of such information. LifeArcPlan™, provider of this ExplicitVue™ Balance Sheet report, cannot be held liable for any errors or omissions. This ExplicitVue™ Balance Sheet report is provided for educational purposes only and you should be guided accordingly.
                    </p>
                </div>
                <div style="width:100px;margin-left:30px">
                    <span class="text-navi" style="font-size:18px"><i>Powered by</i></span>
                    <img src="~/images/report/LAP-logo-cover.png" height="35" style="vertical-align: sub;">
                </div>
            </div>
        </div>
    </div>
    <div class="new-page"></div>
    <div style="padding-left:50px;padding-right:50px">
        <div>
            <h2 style="margin-bottom:10px">Incomes</h2>
            <hr style="border-top: 1px solid #23588d;" />
            <h3 style="margin-bottom:0px">Current:</h3>
            <div style="margin-left:20px">
                @foreach (var item in Model.CurrentIncomes.GroupBy(m => m.ClientType))
                {
                    <h4 style="margin-bottom:0px">
                        @(item.Key == ClientTypeEnum.Client ? Model.ClientName : item.Key == ClientTypeEnum.Spouse ? Model.SpouseName : "Joint/Other"):
                    </h4>
                    <table class="table-custom">
                        <tr>
                            <th></th>
                            <th class="text-right text-navi" width="200px">Amount</th>
                            <th class="text-right text-navi" width="150px">Duration(Yrs.)</th>
                        </tr>
                        @foreach (var item1 in item)
                        {
                            <tr>
                                <td>
                                    @item1.Title
                                    @if (!string.IsNullOrEmpty(item1.ModuleName))
                                    {
                                        <em class="text-navi">(@item1.ModuleName)</em>
                                    }
                                </td>
                                <td class="text-right">
                                    @item1.FormatedAmount
                                </td>
                                <td class="text-right">@(item1.Title != "Social Security" && item1.ModuleName != "Pension" ? item1.Years : "Life")</td>
                            </tr>
                        }
                        <tr class="font-weight-bold text-primary">
                            <td>
                                Sub Total
                            </td>
                            <td class="text-right">
                                @string.Format("{0:C0}", item.Sum(m => m.Amount))
                            </td>
                            <td></td>
                        </tr>
                    </table>
                }
                <table class="table-custom">
                    <tr style="margin-top:40px" class="font-weight-bold">
                        <td>
                            Grand Total
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.CurrentIncomes.Sum(m => m.Amount))
                        </td>
                        <td width="150px"></td>
                    </tr>
                </table>
            </div>
            <div class="new-page"></div>
            <h3 style="margin-bottom:0px">Future:</h3>
            <div style="margin-left:20px">
                @foreach (var item in Model.FutureIncomes.GroupBy(m => m.ClientType))
                {
                    <h4 style="margin-bottom:0px">@(item.Key == ClientTypeEnum.Client ? Model.ClientName : item.Key == ClientTypeEnum.Spouse ? Model.SpouseName : "Joint/Other"):</h4>
                    <table class="table-custom">
                        <tr>
                            <th></th>
                            <th class="text-right text-navi" width="200px">Amount</th>
                            <th class="text-right text-navi" width="150px">Duration(Yrs.)</th>
                        </tr>
                        @foreach (var item1 in item)
                        {
                            <tr>
                                <td>
                                    @item1.Title
                                    @if (!string.IsNullOrEmpty(item1.ModuleName))
                                    {
                                        <em class="text-navi">(@item1.ModuleName)</em>
                                    }
                                </td>
                                <td class="text-right">
                                    <span>@item1.FormatedAmount</span>
                                </td>
                                <td class="text-right">@(item1.Title != "Social Security" && item1.ModuleName != "Pension" ? item1.Years : "Life")</td>
                            </tr>
                        }
                        <tr class="font-weight-bold text-primary">
                            <td>
                                Sub Total
                            </td>
                            <td class="text-right">
                                @string.Format("{0:C0}", item.Sum(m => m.Amount))
                            </td>
                            <td></td>
                        </tr>
                    </table>
                }
                <table class="table-custom">
                    <tr style="margin-top:40px" class="font-weight-bold">
                        <td>
                            Grand Total
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.FutureIncomes.Sum(m => m.Amount))
                        </td>
                        <td width="150px"></td>
                    </tr>
                </table>
            </div>
            <div class="new-page"></div>
        </div>
        <div>
            <h2 style="margin-bottom:10px">Assets</h2>
            <hr style="border-top: 1px solid #23588d;" />
            <div style="margin-left:20px">
                @foreach (var item in Model.Assets.GroupBy(m => m.ClientType))
                {
                    <h4 style="margin-bottom:0px">@(item.Key == ClientTypeEnum.Client ? Model.ClientName : item.Key == ClientTypeEnum.Spouse ? Model.SpouseName : "Joint/Other"):</h4>
                    <table class="table-custom">
                        <tr>
                            <th>
                            </th>
                            <th class="text-navi text-right" width="200px">
                                Current Amount
                            </th>
                            <th class="text-navi text-right" width="200px">
                                Projected Amount
                            </th>
                        </tr>
                        @foreach (var item1 in item)
                        {
                            <tr>
                                <td>
                                    @item1.Title
                                    @if (!string.IsNullOrEmpty(item1.ModuleName))
                                    {
                                        <em class="text-navi">(@item1.ModuleName)</em>
                                    }
                                </td>
                                <td class="text-right">
                                    @item1.CurrentValueFormated
                                </td>
                                <td class="text-right">
                                    @item1.FutureValueFormated
                                </td>
                            </tr>
                        }
                        <tr class="font-weight-bold text-primary">
                            <td>
                                Sub Total
                            </td>
                            <td class="text-right">
                                @string.Format("{0:C0}", item.Sum(m => m.CurrentValue))
                            </td>
                            <td class="text-right">
                                @string.Format("{0:C0}", item.Sum(m => m.FutureValue))
                            </td>
                        </tr>
                    </table>
                }
                <table class="table-custom">
                    <tr class="font-weight-bold">
                        <td>
                            Grand Total
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.Assets.Sum(m => m.CurrentValue))
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.Assets.Sum(m => m.FutureValue))
                        </td>
                    </tr>
                </table>
            </div>
            <div class="new-page"></div>
        </div>
        <div>
            <h2 style="margin-bottom:10px">Budget</h2>
            <hr style="border-top: 1px solid #23588d;" />
            <div style="margin-left:20px">
                @foreach (var item in Model.Budgets.GroupBy(m => m.ModuleName))
                {
                    <h4 style="margin-bottom:0px">@item.Key:</h4>
                    <table class="table-custom">
                        <tr>
                            <th>
                            </th>
                            <th class="text-navi text-right" width="200px">
                                Current Amount
                            </th>
                            <th class="text-navi text-right" width="200px">
                                Projected Amount
                            </th>
                        </tr>
                        @foreach (var item1 in item)
                        {
                            <tr>
                                <td>
                                    @item1.Title
                                </td>
                                <td class="text-right">
                                    @item1.CurrentValueFormated
                                </td>
                                <td class="text-right">
                                    @item1.FutureValueFormated
                                </td>
                            </tr>
                        }
                        @if (Model.BudgetVersion)
                        {
                            <tr class="font-weight-bold text-primary">
                                <td>
                                    Sub Total
                                </td>
                                <td class="text-right">
                                    @string.Format("{0:C0}", item.Sum(m => m.CurrentValue))
                                </td>
                                <td class="text-right">
                                    @string.Format("{0:C0}", item.Sum(m => m.FutureValue))
                                </td>
                            </tr>
                        }
                    </table>
                }
                <table class="table-custom">
                    <tr class="font-weight-bold">
                        <td>
                            @(Model.BudgetVersion ? "Grand" : "") Total
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.Budgets.Sum(m => m.CurrentValue))
                        </td>
                        <td class="text-right" width="200px">
                            @string.Format("{0:C0}", Model.Budgets.Sum(m => m.FutureValue))
                        </td>
                    </tr>
                </table>
            </div>
            <div class="new-page"></div>
        </div>
    </div>
</body>
</html>
<style>
    body {
        margin: 0;
        font-family: 'Poppins', sans-serif !important;
        color: #4c4d4f !important;
    }

    #cover-page-title {
        width: 1050px;
        background: #23588d;
        font-size: 70px;
        color: #fff;
        font-weight: 200;
        opacity: 0.9;
        position: absolute;
        bottom: 10px;
        padding-top: 10px;
        text-align: center;
    }
</style>